=== debian/control ===
Source: ros-humble-wireless-watcher
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-rclpy, ros-humble-wireless-msgs, wireless-tools, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-wireless-watcher
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-rclpy, ros-humble-wireless-msgs, wireless-tools, ros-humble-ros-workspace
Description: A Python-based node which publishes connection information about a linux wireless interface.
