## ros-humble-wireless-watcher 1.1.1

=== debian/changelog ===
ros-humble-wireless-watcher (1.1.1-1bookworm) bookworm; urgency=high

  * Set NaN when empty BitRate/Frequency
  * Add try-catch to BitRate and Frequency field
  * Contributors: Luis Camero

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 28 Aug 2024 16:00:00 -0000
