=== debian/control ===
Source: ros-humble-wireless-watcher
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-rclcpp, ros-humble-wireless-msgs, wireless-tools, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-wireless-watcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-wireless-msgs, wireless-tools, ros-humble-ros-workspace
Description: A node which publishes connection information about a linux wireless interface.
